Name:           hunspell-de
Version:        0.20161207
Release:        3
Summary:        German dictionary
License:        GPLv2 or GPLv3
URL:            https://www.j3e.de/ispell/igerman98
Source:         https://www.j3e.de/ispell/igerman98/dict/igerman98-20161207.tar.bz2

BuildArch:      noarch

BuildRequires:  aspell hunspell perl-interpreter

Requires:       hunspell

Supplements:    (hunspell and langpacks-de)

%description
German dictionary for Ispell, Myspell und Hunspell using the new orthography.

%prep
%autosetup -n igerman98-20161207 -p1
sed -i -e "s/AFFIX_EXPANDER = ispell/AFFIX_EXPANDER = aspell/g" Makefile

%build
make LC_ALL=C hunspell/de_AT.dic hunspell/de_CH.dic hunspell/de_DE.dic\
              hunspell/de_AT.aff hunspell/de_CH.aff hunspell/de_DE.aff

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/myspell
pushd hunspell
cp -p de_??.dic de_??.aff $RPM_BUILD_ROOT/%{_datadir}/myspell

pushd $RPM_BUILD_ROOT/%{_datadir}/myspell/

for lang in de_BE de_LU
do
    ln -s de_DE.aff $lang.aff
    ln -s de_DE.dic $lang.dic
done

ln -s de_CH.aff de_LI.aff
ln -s de_CH.dic de_LI.dic
popd

%files
%doc hunspell/Copyright hunspell/COPYING* hunspell/README_de_*.txt
%{_datadir}/myspell/*

%changelog
* Tue Dec 31 2019 zhouyihang <zhouyihang1@huawei.com> - 0.20161207-3
- Package init
